ci.dfr <-
function( obj, ndx, ndr, Exp )
    {
if( !is.data.frame(ndx) ) stop("2nd argument to ci.dfr must be a data frame")
if( !is.data.frame(ndr) ) stop("3rd argument to ci.dfr must be a data frame")
if( (    ( nrow(ndx) !=  nrow(ndr)) ) |
    ( any(names(ndx) != names(ndr)) ) )
    stop("The two prediction frames must have same dimensions and column names:",
         "but dimensions are: ", dim(ndx), " and ", dim(ndr), "\n", 
         "and column names are:\n",
         "xpos: ", names(ndx), "\n",
         " ref: ", names(ndr), "\n")
# Now fix those variable that are needed in order to get model.matrix working
# Supplied variable names
 cols <- names( ndx )
# Factors in model; which are supplied; derive names of omitted
 facs <- names(obj$xlevels)
ofacs <- match( facs, cols )
ofacs <- facs[is.na(ofacs)]
# Variables in model; which are supplied; derive names of omitted
 vars <- setdiff( all.vars(obj$formula)[-1], facs )
ovars <- match( vars, cols )
ovars <- vars[is.na(ovars)]
# Construct the extra columns
xcols <- ndx[,NULL]
if( length(ofacs) > 0 ) for( fn in ofacs ) xcols <- cbind( xcols, obj$xlevels[[fn]][1] )
if( length(ovars) > 0 ) for( vn in ovars ) xcols <- cbind( xcols, 0 )
if( dim(xcols)[2]>0 )
  {
  names( xcols ) <- c(ofacs,ovars)
  ndx <- cbind( ndx, xcols )
  ndr <- cbind( ndr, xcols )
  }
# Factors must have more than one level, which they typically will not
# have in the specification of the prediction frames, so we find the
# factors in the model and expand levels to the complete set of levels
dcl <- attr(obj$terms,"dataClasses")
whf <- ( dcl == "factor" )
if( any(whf) )
  for( fn in names(dcl)[which(whf)] )
     {
     ndx[,fn] <- factor( ndx[,fn], levels=obj$xlevels[[fn]] )
     ndr[,fn] <- factor( ndr[,fn], levels=obj$xlevels[[fn]] )
     }
invisible( list( ndx, ndr ) )
}
